#!/bin/sh
cd "${0%/*}" || exit                                # Run from this directory
. ${WM_PROJECT_DIR:?}/bin/tools/RunFunctions        # Tutorial run functions
#------------------------------------------------------------------------------

runApplication -s cone \
    surfaceOrient constant/triSurface/cone.stl \
                  -inside '(0 -0.5 0)' \
                  constant/triSurface/cone_orient.stl

runApplication -s sphere \
    surfaceOrient constant/triSurface/sphere.stl \
                  -inside '(0 -0.5 0)' \
                  constant/triSurface/sphere_orient.stl

runApplication \
    surfaceBooleanFeatures intersection cone_orient.stl sphere_orient.stl

runApplication foamyHexMesh

runApplication -s collapseFaceSet \
    collapseEdges -latestTime -collapseFaceSet indirectPatchFaces

runApplication -s collapseFaces \
    collapseEdges -latestTime -collapseFaces


#------------------------------------------------------------------------------
